GWT 2.7.0

## com.google.gwt.i18n.shared
Class FirstStrongDirectionEstimator

    java.lang.Object
      com.google.gwt.i18n.shared.DirectionEstimator
          com.google.gwt.i18n.shared.FirstStrongDirectionEstimator

    public class FirstStrongDirectionEstimator

extends DirectionEstimator

Direction estimator that uses the "first strong" heuristic.

Constructor Summary
`FirstStrongDirectionEstimator()`

Method Summary
`HasDirection.Direction` | `estimateDirection(java.lang.String str)` Estimates the direction of a given string using the "first strong" heuristic: The return value is determined by the first character in the string with strong directionality.
`static FirstStrongDirectionEstimator` | `get()` Get an instance of FirstStrongDirectionEstimator.

Methods inherited from class com.google.gwt.i18n.shared.DirectionEstimator
`estimateDirection, estimateDirection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FirstStrongDirectionEstimator

    public FirstStrongDirectionEstimator()

Method Detail

### get

    public static FirstStrongDirectionEstimator get()

  Get an instance of FirstStrongDirectionEstimator.

  Returns:
    An instance of FirstStrongDirectionEstimator.

### estimateDirection

    public HasDirection.Direction estimateDirection(java.lang.String str)

  Estimates the direction of a given string using the "first strong" heuristic: The return value is determined by the first character in the string with strong directionality. If there is no such character, the return value is DEFAULT.

  Specified by:
    `estimateDirection` in class `DirectionEstimator`
  Parameters:
    `str` - Input string.
  Returns:
    Direction The estimated direction of `str`.

GWT 2.7.0